def main():
    print("Checking installation...")

    import jupyterlab  # noqa: PLC0415
    import numpy as np  # noqa: PLC0415
    import plotnine as pn  # noqa: PLC0415
    import polars as pl  # noqa: PLC0415
    import torch  # noqa: PLC0415
    import torchvision  # noqa: PLC0415

    import adl  # noqa: PLC0415

    print(
        f"""
Torch version: {torch.__version__}
Torchvision version: {torchvision.__version__}
Polars version: {pl.__version__}
Numpy version: {np.__version__}
Plotnine version: {pn.__version__}
Jupyter lab version: {jupyterlab.__version__}
adl version: {adl.__version__}

-----------------------------------
Everything seems good !
-----------------------------------
        """  # ty:ignore[possibly-missing-attribute]
    )


if __name__ == "__main__":
    main()
